-- GAME START

p1x, p1y = 70, 300 -- P1 start pos
p2x, p2y = 730, 300 -- P2 start pos
mx, my = 0, 0 -- Default mouse val

function love.draw()
	love.graphics.print("Mx: " .. mx .. "\n" .. "My: " .. my, 700, 20) -- X,Y Info

	p1 = love.graphics.rectangle("fill", p1x, p1y, 10, 85) -- P1 entity
	p2 = love.graphics.rectangle("fill", p2x, p2y, 10, 85) -- P2 entity
end

function love.update(dt)
	mx, my = love.mouse.getPosition()

	local p1yc, p2yc = p1y + 65, p2y + 65

-- Controls P1
	if love.keyboard.isDown("w") then
		p1y = p1y - 5
	elseif love.keyboard.isDown("s") then
		p1y = p1y  + 5
	end
-- Controls P2
	if love.keyboard.isDown("up") then
		p2y = p2y - 5
	elseif love.keyboard.isDown("down") then
		p2y = p2y  + 5
	end

--  Evaluation if collision check should be made (Screen)
	if p1y <= 5 then
		if CollisionScr(p1y, 0) == true then
			p1y = 5
		end
	elseif p1yc >= 595 then
		if CollisionScr(p1y, 600, 1) == true then
			p1y = 530
		end
	elseif p2y <= 5 then
		if CollisionScr(p2y, 0) == true then
			p2y = 5
		end
	elseif p2yc >= 595 then
		if CollisionScr(p2y, 600, 1) == true then
			p2y = 530
		end
	end
end

function CollisionScr(y, ch, bt) -- height, pos to check, Check top or bottom (1 for bottom)
	local yc = y + 65

	if bt == 1 then
		if yc >= ch then
			return true
		else
			return false
		end
	else
		if y <= ch then
			return true
		else
			return false
		end
	end
end
